Foreman - Bug #2602

host scoped_search error by compute_resource or domain when using postgresql

06/03/2013 03:57 AM - Joseph Magen

Status: Closed

Priority: Normal

Assignee: Joseph Magen

Category: Database

Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Associated revisions

Revision 93ce3ai18 - 06/03/2013 01:28 PM - Joseph Magen

fixes #2602 - scoped_search error when using postgresq|
Revision 9196926e - 06/04/2013 01:06 PM - Joseph Magen
fixes #2602 - scoped_search error when using postgresq|

(cherry picked from commit 93ce3a18eea3bd04b09dc7b55a5¢513f973736f5)

History

#1 - 06/03/2013 03:58 AM - Joseph Magen

Domain Load (0.3ms) SELECT DISTINCT "domains".name FROM "domains" ORDER BY LOWER LIMIT 20
PG::Error: ERROR: for SELECT DISTINCT, ORDER BY expressions must appear in select list
LINE 1: ... DISTINCT "domains".name FROM "domains" ORDER BY LOWER(doma...

#2 - 06/03/2013 04:17 AM - Joseph Magen
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/680

#3 - 06/03/2013 01:27 PM - Dominic Cleal

- Category set to Database

#4 - 06/03/2013 03:17 PM - Joseph Magen
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 93ce3a18eea3bd04b09dc7b55a5¢513f973736f5.
